<%@ Page Language="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)

        Dim client As New System.Net.Sockets.TcpClient()

        ' Note: You can find a large list of Telnet accessible 
        ' BBS systems at http://www.dmine.com/telnet/brieflist.htm

        ' The WCS Online BBS (http://bbs.wcssoft.com)
        Dim addr As System.Net.IPAddress = System.Net.IPAddress.Parse("65.182.234.52")
        Dim endpoint As New System.Net.IPEndPoint(addr, 23)

        client.Connect(endpoint)
        Dim ns As System.Net.Sockets.NetworkStream = client.GetStream()

        If (ns.DataAvailable) Then
             Dim data(client.ReceiveBufferSize) As Byte
             ns.Read(data, 0, client.ReceiveBufferSize)
             Dim response As String = System.Text.Encoding.ASCII.GetString(data)
        End If
        ns.Close()
    End Sub
</script>